## ros-eloquent-launch-testing-ament-cmake 0.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(launch_testing_ament_cmake NONE)

find_package(ament_cmake REQUIRED)

ament_package(
  CONFIG_EXTRAS "${PROJECT_NAME}-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  include(cmake/add_launch_test.cmake)

  ament_index_has_resource(LAUNCH_TESTING_INSTALL_PREFIX packages launch_testing)
  if(NOT LAUNCH_TESTING_INSTALL_PREFIX)
      message(FATAL_ERROR "launch_testing package not found")
  endif()

  # Test argument passing.  This test won't pass unless you give it an argument
  add_launch_test(
    "${LAUNCH_TESTING_INSTALL_PREFIX}/share/launch_testing/examples/args_launch_test.py"
    ARGS "dut_arg:=--anything"
  )
endif()

=== debian/changelog ===
ros-eloquent-launch-testing-ament-cmake (0.9.7-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.6-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 21 Jan 2020 06:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.5-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.4-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.3-1bionic) bionic; urgency=high

  * add missing test dependency (#350 <https://github.com/ros2/launch/issues/350>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Dirk Thomas

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.2-1bionic) bionic; urgency=high

  * Use ament_cmake_copyright (#349 <https://github.com/ros2/launch/issues/349>)
  * Contributors: Dan Rose

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.1-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.9.0-1bionic) bionic; urgency=high

  * Update launch_testing example name in launch_testing_ament_cmake (#320 <https://github.com/ros2/launch/issues/320>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 18 Sep 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.8.3-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.8.2-1bionic) bionic; urgency=high

  * Revert "Include cmake extras for testing (#245 <https://github.com/ros2/launch/issues/245>)"
  * Include cmake extras for testing (#245 <https://github.com/ros2/launch/issues/245>)
  * [add_launch_test] Correct default python executable for windows debug (#239 <https://github.com/ros2/launch/issues/239>)
  * Convert retreived path to CMake path for use. (#244 <https://github.com/ros2/launch/issues/244>)
  * Move CMake path conversion to add_launch_test function.
  * Enable reuse of launch testing functionality (#236 <https://github.com/ros2/launch/issues/236>)
  * Contributors: Jacob Perron, Michel Hidalgo, Steven! Ragnarök, ivanpauno

 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.8.1-1bionic) bionic; urgency=high

  * Make launchtest junit XML match pytest XML more closely (#228 <https://github.com/ros2/launch/issues/228>)
  * Merge apex_launchtest functionality into launch_testing (#215 <https://github.com/ros2/launch/issues/215>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.8.0-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.7.3-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 12 Dec 2018 06:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.7.0-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.6.0-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 20 Aug 2018 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.5.2-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 17 Jul 2018 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.5.1-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 27 Jun 2018 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.5.0-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 19 Jun 2018 05:00:00 -0000

ros-eloquent-launch-testing-ament-cmake (0.4.0-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 Dec 2017 06:00:00 -0000

=== debian/control ===
Source: ros-eloquent-launch-testing-ament-cmake
Section: misc
Priority: optional
Maintainer: Pete Baughman <pete.baughman@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-copyright, ros-eloquent-launch-testing, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-launch-testing-ament-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake-test, ros-eloquent-launch-testing, ros-eloquent-python-cmake-module, ros-eloquent-ros-workspace
Description: A package providing cmake functions for running launch tests from the build.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-launch-testing-ament-cmake//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
